Delete a maintenance window
DELETE
/organizations/{org_id}/maintenance-windows/{id}
const url = 'https://api.perstat.io/organizations/example/maintenance-windows/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.perstat.io/organizations/example/maintenance-windows/example \ --header 'Authorization: Bearer <token>'Permanently removes a maintenance window from the organization, including an active one. Use the cancel operation instead to end a window while keeping its history. Requires project management rights.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org_id
required
string
id
required
string